\begin{example}
As an application of the results from last lecture we are going to show that the automorphism of the projective space over a field $k$ are given by:
\[
  \aut(\pp_k^n)\defined
  \lset
  \begin{tikzcd}[column sep = small, row sep = small]
  \pp^n_k
  \ar{rr}[above]{\cong}
  \ar{rd}
  &
  &
  \pp^n_k
  \ar{ld}
  \\
  &
  \spec k
  &
 \end{tikzcd}
 \rset \cong \gln(n+1,k)/k\units
\]
\end{example}

\begin{example}
  Let $A$ be a Dedekind ring with fraction field $K$. We then define
  \[
  J(A)\defined \lset 0\neq M\sse K\text{ invertible fractional ideal}\rset
  \]
  and
  \[
  P(A)\defined \lset \alpha\cdot A\ssp \alpha\in K\rset
  \]
  as well as $\cl(A)\defined J(A)/P(A)$. We then know from commutative algebra that
\[
  \cl(A)\cong \lset
    M \text{ locally free }A\text{-module of rank} 1
\rset = \pic(\spec(A))
    \]
  In the special case that $K|\rationals$ is a finite fieldf extension with ring of integers $\oo_K$, then $\cl(K)\defined \cl(A)$ is called the \emph{ideal class group}. It is a standard result of algebraic number theory that the cardinality of $\cl(K)$, which is called the \emph{class number of $K$}, is finite.
\end{example}

\begin{numtext}
  Assume that $X$ satisfies $\#$.
\begin{enumerate}
  \item Let $D = \sum n_i Y_i\in \wdiv(X)$ where all coefficients satisfy $n_i\geq 0$. Such a $D$ is called \emph{effective} and we write $D\geq 0$. A class in $\cl(X)$ is called \emph{effective} if it can be represented by an effective $D\in \wdiv(X)$. Note that if $D_1,D_2\in \wdiv$ are divisors with $D_1\sim D_2$ and $D_1$ effective it does not necessarily follow that $D_2$ is effective too.
\end{enumerate}
\end{numtext}
